Skip to main content
Topic: Unable to use Musicbrainz with EAC under Wine (Read 450 times) previous topic - next topic
0 Members and 1 Guest are viewing this topic.

Unable to use Musicbrainz with EAC under Wine

Hi,

I just grabbed EAC v1.5, which I understand has a built-in Musicbrainz metadata plugin. However, when I went to set that up, I was unable to find it at all; the only option available was the built-in freedb.org server, which... well. Bit tragic, really.

I don't know if this is because I'm running it under Wine, or if I'm just being really stupid, but any help would be greatly appreciated. I would have asked in the EAC support forums, but apparently that's down.

Thanks!

Re: Unable to use Musicbrainz with EAC under Wine

Reply #1
In the Windows installer the plugins are offered as optional (via check-boxes) so it is possible not to install them.
Most of the plugins require at least .net 2.0 (included in 3.5).
korth

Re: Unable to use Musicbrainz with EAC under Wine

Reply #2
I've ensured that the plugins are (supposed to be) installed with everything else, and .NET 2.0 is installed in the prefix as well.

Re: Unable to use Musicbrainz with EAC under Wine

Reply #3
Hi,

I just grabbed EAC v1.5, which I understand has a built-in Musicbrainz metadata plugin. However, when I went to set that up, I was unable to find it at all; the only option available was the built-in freedb.org server, which... well. Bit tragic, really.

I don't know if this is because I'm running it under Wine, or if I'm just being really stupid, but any help would be greatly appreciated. I would have asked in the EAC support forums, but apparently that's down.

Thanks!

Same here: the Musicbrainz en Cuetools plugins doesn't work in EAC via Wine (never did), although they are installed. Therefore I assume this is a Wine issue.

Re: Unable to use Musicbrainz with EAC under Wine

Reply #4
Ditto for me as well - the plugins are all there under win7, but I just installed under wine and noticed they were missing.

 

Re: Unable to use Musicbrainz with EAC under Wine

Reply #5
It turns out .NET 4.0 is needed for the new plugins. I hadn't read the EAC 1.5 wine page closely enough:
https://appdb.winehq.org/objectManager.php?sClass=version&iId=38915&iTestingId=108566

If you've got things working already except for the plugins, you probably just need to run:
winetricks dotnet40
though I can't confirm since I ended up starting from scratch. See the winehq page for more details.

 
SimplePortal 1.0.0 RC1 © 2008-2020